import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbUnusedPage (parameter) {
  return axios({
    url: '/sbUnused/unused/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbUnused (parameter) {
  return axios({
    url: '/sbUnused/unused',
    method: 'post',
    data: parameter
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updataSbUnused (parameter) {
  return axios({
    url: '/sbUnused/unused/saveAgain',
    method: 'post',
    data: parameter
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function checkSbUnused (parameter) {
  return axios({
    url: '/sbUnused/unused/' + parameter.id,
    method: 'post',
    data: parameter
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getUnusedUsers () {
  return axios({
    url: '/upms/users/getUnusedUsers',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getUnusedInfo (parameter) {
  return axios({
    url: '/sbUnused/unused/queryById/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteUnused (parameter) {
  return axios({
    url: '/sbUnused/unused/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}
