import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectCountByPositionGroup () {
  return axios({
    url: '/sb/counts/group',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectCountByPositionGroupBySbType (parameter) {
  return axios({
    url: '/sb/counts/type/' + parameter.code,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectCountBySbStatusGroup (parameter) {
  return axios({
    url: '/sb/counts/status/' + parameter.code,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectCountByUseTypeGroup (parameter) {
  return axios({
    url: '/sb/counts/useType/' + parameter.code,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}