import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getMeasurePage (parameter) {
  return axios({
    url: '/sb/measure-logs/getLogBySbId?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function exportSbMeasure (parameter) {
  return axios({
    url: '/sb/measure-logs/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

export function exportSbMeasure2 (parameter) {
  return axios({
    url: '/sb/measure-logs/export2?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPositionNoMeasurePage (parameter) {
  return axios({
    url: '/sb/infos/positionNo/history?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
