import { axios } from '@/utils/request'

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function startSbInfoScrap (parameter) {
  return axios({
    url: '/activiti/sb/scrap/start',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 终止提交审批
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function stopSbInfoScrapForAudit (parameter) {
  return axios({
    url: '/activiti/sb/scrap/stop',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 审批开始
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function auditSbInfoScrapForAudit (parameter) {
  return axios({
    url: '/activiti/sb/scrap/audit',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 审批开始
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function historySbInfoScrapForAudit (parameter) {
  return axios({
    url: '/activiti/sb/scrap/history/' + parameter.id,
    method: 'GET',
    data: parameter
  })
}

/**
 * update func 转签
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function changeSbInfoScrapForAudit (parameter) {
  return axios({
    url: '/activiti/sb/scrap/assign',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 签收
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function claimSbInfoScrapForAudit (parameter) {
  return axios({
    url: '/activiti/sb/scrap/claim',
    method: 'PUT',
    data: parameter
  })
}